Holger's Java API

## com.antelmann.sql
Class ForeignKeyMappingInfo.Analyzer

    java.lang.Object
      com.antelmann.sql.ForeignKeyMappingInfo.Analyzer

Enclosing interface:
  ForeignKeyMappingInfo

    public static class ForeignKeyMappingInfo.Analyzer

extends Object

Constructor Summary
`ForeignKeyMappingInfo.Analyzer()`

Method Summary
`static TableModelWrapper` `getForeignKeys(Database<Connection> db)`
`static Map<Class<? extends DBEntry>,Integer>` `getUsage(DBReference ref, Database<?> db)`
`static boolean` `isInUse(DBReference ref, Database<?> db)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForeignKeyMappingInfo.Analyzer

    public ForeignKeyMappingInfo.Analyzer()

Method Detail

### getUsage

    public static Map<Class<? extends DBEntry>,Integer> getUsage(DBReference ref,
                                                                 Database<?> db)
                                                          throws DatabaseException

  Throws:
    `DatabaseException`

### isInUse

    public static boolean isInUse(DBReference ref,
                                  Database<?> db)
                           throws DatabaseException

  Throws:
    `DatabaseException`

### getForeignKeys

    public static TableModelWrapper getForeignKeys(Database<Connection> db)
                                            throws DatabaseException

  Throws:
    `DatabaseException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads